Subject: Re: linux-next: build failure after merge of the tip tree

From: David Howells <[email-masked]>
Date: Tue, 03 Apr 2018 13:39:08 +0100

Peter Zijlstra <[email-masked]> wrote:

> I figured that since there were only a handful of users it wasn't a
> popular API, also David very much knew of those patches changing it so
> could easily have pulled in the special tip/sched/wait branch :/

I'm not sure I could, since I have to base on net-next.  I'm not sure what
DaveM's policy on that is.

Also, it might've been better not to simply erase the atomic_t wait API
immediately, but substitute wrappers for it to be removed one iteration hence.

David